gs-mosaic(1)

NAME
gs-mosaic - applies the GIMP GEGL Mosaic filter on an image

SYNOPSIS
gs-mosaic input_filename output_filename
[-T triangles|squares|hexagons|octagons | - -tile-type triangles|squares|hexagons|octagons]
[-S size | - -tile-size size]
[-H height | - -tile-height height]
[-N neatness | - -tile-neatness neatness]
[-F rough|smooth | - -tile-surface rough|smooth]
[-X spacing | - -tile-spacing spacing]
[-I on|off | - -tile-allow-split on|off]
[-C variation | - -color-variation variation]
[-G on|off | - -color-averaging on|off]
[-A on|off | - -antialiasing on|off]
[-L degrees | - -light-direction degrees]
[-q | - -quiet] [-w | - -verbose]
gs-mosaic [-h | - -help]
gs-mosaic [-v | - -version]

DESCRIPTION
gs-mosaic runs GIMP to load an image, applies the GIMP GEGL "Mosaic" filter (details: GEGL Mosaic: https://gegl.org/operations/gegl-mosaic.html), and stores the result into an output file. The tile type (triangles, squares, hexagons, octagons), tile size, tile height, tile neatness, tile surface (smooth or rough) tile spacing, coloring and lighting are configurable.

ARGUMENTS
The following options are available:

input_filename
    The input image. Any format supported by GIMP can be used. The format will be detected automatically.

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

-T triangles|squares|hexagons|octagons | - -tile-type triangles|squares|hexagons|octagons
    Sets the tile type: triangles, squares, hexagons, octagons. Default: hexagons.

-S size | - -tile-size size
    Specifies the tile size. Range: 1.0-1000.0. Default: 15.0.

-H height | - -tile-height height
    Specifies the tile height. Range: 1.0-1000.0. Default: 4.0.

-N neatness | - -tile-neatness neatness
    Specifies the tile neatness. Range: 0.0-1.0. Default: 0.65.

-F rough|smooth | - -tile-surface rough|smooth
    Sets the tile surface to rough or smooth. Default: rough.

-X spacing | - -tile-spacing spacing
    Specifies the tile spacing. Range: 0.0-1000.0. Default: 4.0.

-I on|off | - -tile-allow-split on|off
    Turns allowing tile split on sharp edges on or off. Default: on.

-C variation | - -color-variation variation
    Specifies the color variation. Range: 0.0-1.0. Default: 0.2.

-G on|off | - -color-averaging on|off
    Turns color averaging on or off. Default: on.

-A on|off | - -antialiasing on|off
    Turns antialiasing on or off. Default: on.

-L degrees | - -light-direction degrees
    Specifies the light direction in degrees. Range: 0.0-360.0. Default: 135.0.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-mosaic tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-mosaic Bergen.jpeg Bergen-Hexagons.png --tile-size 24 --tile-height 4 --tile-spacing 4 --tile-type hexagons --tile-surface rough

gs-mosaic Bergen.jpeg Bergen-Octagons.webp -S 24 -H 4 -X 4 -T octagons -F smooth -T hexagons -N 1.0

gs-mosaic Portobello.jpeg Portobello-Octagons.jpeg -S 32 -H 8 -X 8 -T octagons -F smooth -N 1.0

gs-mosaic --help

gs-mosaic -h

gs-mosaic --version

gs-mosaic -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-clothify(1), gs-glossytext(1), gs-oilify(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh